org.scalatest.events

# Summary

#### case class Summary (testsSucceededCount: Int, testsFailedCount: Int, testsIgnoredCount: Int, testsPendingCount: Int, suitesCompletedCount: Int, suitesAbortedCount: Int) extends Product with Serializable

Class each of whose instances hold summary information about one ScalaTest run.

testsSucceededCount

  the number of tests that were reported as succeeded during the run

testsFailedCount

  the number of tests that were reported as failed during the run

testsIgnoredCount

  the number of tests that were were reported as ignored during the run

testsPendingCount

  the number of tests that were reported as pending during the run

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Summary
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Summary (testsSucceededCount: Int, testsFailedCount: Int, testsIgnoredCount: Int, testsPendingCount: Int, suitesCompletedCount: Int, suitesAbortedCount: Int)

   testsSucceededCount

     the number of tests that were reported as succeeded during the run

   testsFailedCount

     the number of tests that were reported as failed during the run

   testsIgnoredCount

     the number of tests that were were reported as ignored during the run

   testsPendingCount

     the number of tests that were reported as pending during the run

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     Summary → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      Summary → Equals → AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      Summary → AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def productArity : Int

    Definition Classes
      Summary → Product

19. #### def productElement (arg0: Int): Any

    Definition Classes
      Summary → Product

20. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

21. #### def productPrefix : String

    Definition Classes
      Summary → Product

22. #### val suitesAbortedCount : Int

23. #### val suitesCompletedCount : Int

24. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

25. #### val testsCompletedCount : Int

    The number of tests completed, which is the sum of the number of tests that succeeded and failed, excluding any tests that were ignored or reported as pending.

26. #### val testsFailedCount : Int

    the number of tests that were reported as failed during the run

27. #### val testsIgnoredCount : Int

    the number of tests that were were reported as ignored during the run

28. #### val testsPendingCount : Int

    the number of tests that were reported as pending during the run

29. #### val testsSucceededCount : Int

    the number of tests that were reported as succeeded during the run

30. #### def toString (): String

    Definition Classes
      Summary → AnyRef → Any

31. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

32. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

33. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

34. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any